/* ================= CONTACT PAGE ================= */

.contact-wrap {
    display: flex;
    flex-wrap: wrap;
    align-items:flex-start;
}

.contact-info {
    width:calc(100% - 760px);
    max-width:760px;
    padding-right:100px;
}

.contact-info .footer-contact {
    columns: 2;
    column-gap: 140px;
    column-rule: 1px solid var(--border-color);
    margin-bottom: 40px;
    max-width:100%;
}

.contact-info .footer-contact li {
    break-inside: avoid;
}

.contact-info .footer-contact li:not(:last-child) {
    margin-bottom: 24px;
}

.contact-info .footer-contact li:last-child {
    break-before: column;
}

.contact-info .footer-contact__text,
.contact-info .footer-contact__text a {
    color: var(--text-color);
    font-weight:normal;
}

.contact-info .footer-contact__label {
    font-weight: var(--font-weight-semibold);
    line-height: 1.15;
    margin-bottom:5px;
}

.contact-info .footer-contact__value {
    font-weight: normal;
}

.contact-info .footer-contact__text a:hover {
    color: var(--theme);
}

.contact-social {
    margin-top: 24px;
    flex-direction:column;
        margin-left: 32px;
    .footer-social__btn{
        max-width:138px;
    }
}

.contact-info__media img {
    display: block;
    width: 100%;
    height: auto;
    border-radius: 10px;
}

/* ---- form panel ---- */
.contact-form-panel {
    width:760px;
    padding: 50px;
    background-color: var(--cream);
    border-radius: 20px;
}


.contact-form-panel form {
    display: flex;
    flex-wrap: wrap;
    gap: 0 20px;
}
.contact-form-panel .button {
    width: 100%;
}




/* ---- map ---- */
.sec-contact-map iframe {
    display: block;
    width: 100%;
    height: 650px;
}

@media (max-width: 1599.98px) {
    .contact-form-panel {
        width:650px;
        padding: 50px;

    } 
    .contact-info {
        width: calc(100% - 650px);
        max-width:unset;
        padding-right:40px;
    }
}

@media (max-width: 1439.98px) {
   .contact-form-panel {
        width:550px;
        padding:30px;
    } 
    .contact-info {
        width: calc(100% - 550px);
        padding-right:40px;
    } 
    .contact-info .footer-contact{
        columns:1;
    }
    .contact-info .footer-contact li:last-child {
    break-before: unset;
}
}

@media (max-width: 1199.98px) {
   .contact-info .footer-contact{
    margin-bottom:30px;
   }
   .contact-social{
    margin-top:16px;
   }
   .contact-info .footer-contact__label{
    line-height:1;
   }
   .contact-info .footer-contact__text, .contact-info .footer-contact__text a{
    line-height:1.23;
   }
   .contact-info .footer-contact li:not(:last-child) {
        margin-bottom:20px;
    }
    .contact-info{
        padding-right:20px;
        width:calc(100% - 500px);
    }
    .contact-form-panel{
        width:500px;
    }
    .sec-contact-map iframe{
        height:500px;
    }
}

@media (max-width: 991.98px) {
    .contact-info{
        padding-right:0px;
        width:100%;
        margin-bottom:40px;
    }
    .contact-form-panel{
        width:100%;
    }
    .contact-info .footer-contact{
        display:block;
        columns:2;
        column-gap:40px;
    }
    .contact-info .footer-contact li{
        width:auto;
    }

    .contact-social {
        .footer-social__btn {
            max-width: 112px;
            gap:6px;
            padding: 6px 8px;
            justify-content:center;
        }
        .footer-social__btn>i{
            font-size:16px;
        }
    }
    .contact-info .footer-contact .footer-contact__item{
        gap:6px;
    }
    .contact-info .footer-contact .footer-contact__item>img
    {
        width:16px;
        height:16px;
        object-fit:contain;
    }

    .sec-contact-map iframe{
        height:400px;
    }
}

@media (max-width: 767.98px) {
    .sec-contact-map iframe{
        height:300px;
    }
}

@media (max-width: 575.98px) {
    .contact-info .footer-contact{
        columns:1;
    }
    .contact-info .footer-contact__text, .contact-info .footer-contact__text a {
        line-height: 1.13;
        font-size:16px;
    }
    .contact-info .footer-contact .footer-contact__item{
        gap:10px;
    }
    .contact-social{
        margin-left:26px;
    }
    .contact-info__media img{
        border-radius:6px;
    }
    .contact-form-panel{
        padding:20px;
        border-radius:10px;
    }
}